Bug 1760972 - monitor_address_block empty in ceph-ansible group_vars and hieradata
Summary: monitor_address_block empty in ceph-ansible group_vars and hieradata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z9
: 13.0 (Queens)
Assignee: Giulio Fidente
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-11 20:38 UTC by Steve Linabery
Modified: 2019-11-07 14:03 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.4.1-5.el7ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 14:03:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1848024 None None None 2019-10-14 13:39:46 UTC
OpenStack gerrit 688406 None None None 2019-10-14 13:57:21 UTC
Red Hat Product Errata RHBA-2019:3794 None None None 2019-11-07 14:03:37 UTC

Comment 5 Giulio Fidente 2019-10-14 11:10:04 UTC
ceph-ansible is failing to bootstrap the OSD which times out when connecting to the cluster (/var/lib/mistral/ceph-install-workflow.log)

  0 monclient(hunting): authenticate timed out after 300
  0 librados: client.bootstrap-osd authentication error (110) Connection timed out
  [errno 110] error connecting to the cluster

looks like a network issue, the ceph-0 node can't connect to the monitor on either public nor cluster network

  [root@ceph-0 bootstrap-osd]# telnet 172.17.3.21 6789
  Trying 172.17.3.21...
  telnet: connect to address 172.17.3.21: Connection refused
  [root@ceph-0 bootstrap-osd]# telnet 172.17.4.35 6789                                          
  Trying 172.17.4.35...
  telnet: connect to address 172.17.4.35: Connection refused
  [root@ceph-0 bootstrap-osd]#

Comment 6 Giulio Fidente 2019-10-14 11:11:44 UTC
mon_host in ceph.conf seems wrong though, continuing investigation

  mon host = 172.17.1.10

Comment 13 Yogev Rabl 2019-10-21 15:19:26 UTC
verified on openstack-tripleo-heat-templates-8.4.1-5.el7ost.noarch

Comment 14 Alex McLeod 2019-10-31 11:29:13 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 17 errata-xmlrpc 2019-11-07 14:03:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3794


Note You need to log in before you can comment on or make changes to this bug.